<div class="plc">
    <div class="plc-menu">
        {{plannedStopTitle}}
    </div>
    <div class="reason-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut , 'transform-select':bodyConfig.animateSelect }">
        <div class="plc-content output-statement-heading">
            <div class="row">
                <div class="col-sm-12">
                    <div class="public-horizon-form">
                        <div class="public-horizon">
                            <label class="horizon-label label-4"><span class="text-red">*</span>生产区域：</label>
                            <div class="horizon-group horizon-col-2">
                                <ui-select ng-init="config.$workCenterSelect = $select" class="andon-content-ui-select" ng-change="workCenterChanged($select);" ng-model="config.currentWorkCenter">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="config.currentWorkCenter.description"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">暂无数据</a>
                                    </ui-select-no-choice>
                                    <ui-select-choices repeat="item in (config.workCenters) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>

                            <label class="horizon-label label-2">拉线：</label>
                            <!--<div class="horizon-group horizon-col-2">-->
                                <!--<ui-select multiple ng-init="config.$lineSelect = $select"-->
                                           <!--class="andon-content-ui-select" ng-placeholder="请输入"-->
                                           <!--ng-model="config.currentLine"-->
                                        <!--ng-change="lineChanged($select)">-->
                                    <!--<ui-select-match placeholder="&#45;&#45; 请选择 &#45;&#45; 可多选">-->
                                        <!--<span ng-bind="$item.description"></span>-->
                                    <!--</ui-select-match>-->
                                    <!--<ui-select-no-choice>-->
                                        <!--<a href ng-click="$select.toggle($event);">-->
                                            <!--<span ng-click="tipSelectClick('line');" ng-if="!config.currentWorkCenter.workCenter" class="no-action-color">请先选择生产区域</span>-->
                                            <!--<span ng-if="!!config.currentWorkCenter.workCenter" class="no-data-color">该生产区域暂无拉线</span>-->
                                        <!--</a>-->
                                    <!--</ui-select-no-choice>-->
                                    <!--<ui-select-choices repeat="item in (config.lines | filter: $select.search) track by $index">-->
                                        <!--<span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>-->
                                    <!--</ui-select-choices>-->
                                <!--</ui-select>-->
                            <!--</div>  -->
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                                    <input ng-init="lineInput=false" ng-focus="lineInput=true"
                                           ng-keyup="upModel('workLine')" ng-disabled="true"
                                           ng-blur="lineInput=false" type="text" value="" placeholder="搜索"
                                           class="form-control ad-left-child" ng-model="config.currentLineDesc"
                                           ng-change="lineChanged()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()"
                                       ng-if="config.showSelectLine"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('line')"
                                       ng-if="!config.showSelectLine"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red">*</span>设备类型：</label>
                            <div class="horizon-group horizon-col-2">
                                <ui-select ng-click="config.$deviceTypeSelect = $select" class="andon-content-ui-select"
                                           ng-placeholder="请输入" ng-change="deviceTypeChanged($select);" ng-model="config.currentDeviceType">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="config.currentDeviceType.resourceType"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">暂无数据</a>
                                    </ui-select-no-choice>
                                    <ui-select-choices repeat="item in (config.deviceTypes) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                            <label class="horizon-label label-4">设备编码：</label>
                            <!--<div class="horizon-group horizon-col-2">-->
                                <!--<ui-select multiple-->
                                           <!--class="andon-ui-mutiply-select"-->
                                           <!--ng-click="config.$deviceNumSelect = $select"-->
                                            <!--ng-placeholder="请输入"-->
                                           <!--ng-change="deviceNumChanged($select);"-->
                                           <!--ng-model="config.currentDeviceNums">-->
                                    <!--<ui-select-match placeholder="&#45;&#45; 请选择 &#45;&#45; 可多选">-->
                                        <!--<span ng-bind="$item.resrce"></span>-->
                                    <!--</ui-select-match>-->
                                    <!--<ui-select-no-choice>-->
                                        <!--<a href ng-click="$select.toggle($event);">-->
                                            <!--<span ng-click="tipSelectClick('deviceNum');" ng-if="!config.currentWorkCenter.workCenter " class="no-action-color">请先选择生产区域</span>-->
                                            <!--<span ng-if="!!config.currentWorkCenter.workCenter || !!config.currentLine.workCenter" class="no-data-color">暂无设备号</span>-->
                                        <!--</a>-->
                                    <!--</ui-select-no-choice>-->
                                    <!--<ui-select-choices repeat="item in (config.deviceNums | filter: $select.search) track by $index">-->
                                        <!--<span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>-->
                                    <!--</ui-select-choices>-->
                                <!--</ui-select>-->
                            <!--</div>-->
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceInput)}">
                                    <input ng-init="deviceInput=false" ng-focus="deviceInput=true"
                                           ng-keyup="upModel('deviceCode')" ng-disabled="true"
                                           ng-blur="deviceInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="config.currentDeviceNumsShow" >
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceHelp()"
                                       ng-if="config.showDeviceCode"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceCode')" ng-if="!config.showDeviceCode"></i>
                                </div>
                            </div>
                        </div>
                        <div class="public-horizon">
                            <label class="horizon-label label-4"><span class="text-red">*</span>日期：</label>
                            <div class="horizon-group horizon-col-2">
                                <input type="text" value="" id="plannedStopDate"
                                       class="form-control"
                                       ng-model="config.queryManDate"
                                       ng-change="queryManDateChange()"
                                       ng-init="initDateTimePicker('#plannedStopDate', {},'Y-m-d',false,false);"/>
                            </div>
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <div class="horizon-btns">
                                <button class="btn btn-primary" ng-disabled="config.btnDisabledQuery" ng-click="queryDatas()">查询</button>
                            </div>
                            <div class="horizon-btns">
                                <button class="btn btn-primary" ng-click="modalPlannedStop('新增停机计划')" ng-disabled="config.btnDisabledAdd" ng-if="config.editRW">新增</button>
                            </div>
                            <div class="horizon-btns">
                                <button class="btn btn-primary" ng-click="modalPlannedStop('事后补录停机计划')" ng-disabled="config.btnDisabledAdd" ng-if="config.editRW">事后补录</button>
                            </div>
                            <div class="horizon-btns">
                                <button class="btn btn-primary" ng-disabled="config.btnDisabledDelete" ng-click="checkAndDeleteSelectedRows()" ng-if="config.editRW">删除</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <move-template></move-template>
    <div class="plc-content">
        <div class="row">
            <div class="col-sm-12">
                <div class="public-horizon-form">
                    <div class="public-horizon" ng-if="config.editRW">
                        <label class="horizon-label label-4"><span class="text-red">*</span>原因代码：</label>
                        <div class="horizon-group horizon-col-3">
                            <ui-select  class="andon-content-ui-select"  ng-model="config.currentReasonCode" ng-change="editDataBtn()">
                                <ui-select-match placeholder="--- 请选择 ---">
                                    <span ng-bind="config.currentReasonCode.description"></span>
                                </ui-select-match>
                                <ui-select-no-choice>
                                    <a href ng-click="$select.toggle($event);">暂无数据</a>
                                </ui-select-no-choice>
                                <ui-select-choices repeat="item in (config.reasoncode) track by $index">
                                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                </ui-select-choices>
                            </ui-select>
                        </div>
                        <label class="horizon-label label-4">开始时间：</label>
                        <div class="horizon-group horizon-col-3">
                            <input type="text" value="" id="plannedStopStartDate"
                                   class="form-control"
                                   ng-model="config.queryEditDateStart"
                                   ng-init="initDateTimePicker('#plannedStopStartDate', {},'Y-m-d H:i:s',true,true);"/>
                        </div>
                        <label class="horizon-label label-4">结束时间：</label>
                        <div class="horizon-group horizon-col-3">
                            <input type="text" value="" id="plannedStopEndDate"
                                   class="form-control"
                                   ng-model="config.queryEditDateEnd"
                                   ng-init="initDateTimePicker('#plannedStopEndDate', {},'Y-m-d H:i:s',true,true);"/>
                        </div>
                        <div class="horizon-btns">
                            <button class="btn btn-primary" ng-disabled="config.btnDisabledEdit" ng-click="editData()" >一键编辑</button>
                        </div>
                        <div class="horizon-btns horizon-save-btns">
                            <button class="btn btn-primary" ng-disabled="config.btnDisabledSave" ng-click="saveAllAcitons()">保存</button>
                        </div>

                    </div>
                </div>

            </div>
            <div class="col-sm-12">
                <div class="andon-grid">
                    <div id="plc-data-item-grid" ui-grid="gridPlannedStop" class="myMiddleGrid"
                         ui-grid-edit ui-grid-cellnav ui-grid-selection
                         ui-grid-pagination ui-grid-validate ui-grid-auto-resize
                         ui-grid-resize-columns
                         class="plc-data-item-grid ad-basic-grid" ></div>
                </div>
                <!-- ui-grid-pagination  ui-grid-row-edit -->
            </div>
        </div>
    </div>
</div>

<script type="text/ng-template" id="ModalPlannedStop.html">
    <div class="modal-body planned-stop">
        <div class="row">
            <div class="col-sm-7">
                <div class="chat-group">
                    <div class="chat-user-title">选择设备</div>
                    <div class="">
                        <div class="chat-users">
                            <div ui-grid="gridPlannedStop" class="myModalGrid"
                                 ui-grid-edit ui-grid-cellNav ui-grid-selection
                                 ui-grid-resize-columns ui-grid-auto-resize></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-5">
                <div class="chat-group">
                    <div class="chat-user-title">{{config.name}}</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="public-horizon-form">
                                    <div class="public-horizon">
                                        <label class="horizon-label label-4">
                                            <span class="text-red">*</span>原因代码：</label>
                                        <div class="horizon-group horizon-col-8">
                                            <ui-select  class="andon-content-ui-select" ng-change="reasoncodeChanged($select);" ng-model="config.currentReasonCode">
                                                <ui-select-match placeholder="--- 请选择 ---">
                                                    <span ng-bind="config.currentReasonCode.description || config.currentReasonCode.reasonCode"></span>
                                                </ui-select-match>
                                                <!-- <ui-select-header>请选择</ui-select-header> -->
                                                <ui-select-no-choice>
                                                    <a href ng-click="$select.toggle($event);">暂无数据</a>
                                                </ui-select-no-choice>
                                                <ui-select-choices repeat="item in (config.reasoncode | filter: $select.search) track by $index">
                                                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                                </ui-select-choices>
                                            </ui-select>
                                        </div>
                                    </div>

                                    <div class="public-horizon">
                                        <label class="horizon-label label-4"><span class="text-red">*</span>开始时间：</label>
                                        <div class="horizon-group horizon-col-8">
                                            <input type="text" value="" id="modalDeviceDate"
                                                   class="form-control"
                                                   name="modalDeviceDate"
                                                   ng-model="config.modalStartDate"
                                                   ng-change="dataChange()"
                                                   ng-init="initDateTimePicker('#modalDeviceDate', {},'Y-m-d H:i:s',true,true);"/>
                                        </div>
                                    </div>
                                    <div class="public-horizon">
                                        <label class="horizon-label label-4"><span class="text-red">*</span>结束时间：</label>
                                        <div class="horizon-group horizon-col-8">
                                            <input type="text" value="" id="modalDeviceEndDate"
                                                   class="form-control"
                                                   name="modalDeviceDate"
                                                   ng-model="config.modalEndDate"
                                                   ng-change="dataChange()"
                                                   ng-init="initDateTimePicker('#modalDeviceEndDate', {},'Y-m-d H:i:s',true,true);"/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <div class="col-sm-6 flex-center col-xs-6">
            <button class="btn btn-primary" type="button" ng-click="ok()" ng-disabled="config.disabledConfirmBtn">确定</button>
        </div>
        <div class="col-sm-6 flex-center col-xs-6">
            <button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>
        </div>
    </div>
</script>
<script type="text/ng-template" id="ModalSupplement.html">
    <div class="modal-body">
        <div class="row">
            <div class="col-sm-7">
                <div class="chat-group">
                    <div class="chat-user-title">选择设备</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="chat-user-scroll-text">
                                    <div ui-grid="gridSupplement" class="myGrid"
                                         ui-grid-edit ui-grid-cellNav ui-grid-selection
                                         ui-grid-pagination ui-grid-resize-columns ui-grid-auto-resize></div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-5">
                <div class="chat-group">
                    <div class="chat-user-title">事后补录停机计划</div>
                    <div class="">
                        <div class="chat-users">
                            <div class="chat-user-scroll">
                                <div class="chat-user-scroll-text">
                                    <div class="form-group">
                                        <!--<label class=""><span class="text-red">*</span>原因代码</label>-->
                                        <!--<select class="form-control"><option>&#45;&#45;请选择&#45;&#45;</option></select>-->
                                        <label class="">
                                            <span class="text-red">*</span>原因代码
                                        </label>
                                        <!--<div class="col-sm-2 col-xs-2 one-line-input">-->
                                            <ui-select  class="andon-content-ui-select" ng-change="reasoncodeChanged($select);" ng-model="config.currentReasonCode">
                                                <ui-select-match placeholder="--- 请选择 ---">
                                                    <span ng-bind="config.currentWorkCenter.workCenter || config.currentWorkCenter.description"></span>
                                                </ui-select-match>
                                                <!-- <ui-select-header>请选择</ui-select-header> -->
                                                <ui-select-no-choice>
                                                    <a href ng-click="$select.toggle($event);">暂无数据</a>
                                                </ui-select-no-choice>
                                                <ui-select-choices repeat="item in (config.reasoncode | filter: $select.search) track by $index">
                                                    <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                                </ui-select-choices>
                                            </ui-select>
                                        <!--</div>-->
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>开始时间</label>
                                        <input type="date" ng-model="config.modalSupplementStartDate" class="form-control" name="modalDeviceDate" ng-change="dataChange()"/>
                                    </div>
                                    <div class="form-group">
                                        <label class=""><span class="text-red">*</span>结束时间</label>
                                        <input type="date" ng-model="config.modalSupplementEndDate" class="form-control" name="modalDeviceDate" ng-change="dataChange()"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-primary" type="button" ng-click="ok()" ng-disabled="config.disabledConfirmBtn">确定</button>
        <button class="btn btn-warning" type="button" ng-click="cancel()">取消</button>
    </div>
</script>